SystemOrganization addCategory: 'OrbeonBPMRuntime_Tests'!

TestCase subclass: #BpmProcessExecutionTest
	instanceVariableNames: 'procInstance'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMRuntime_Tests'!

!BpmProcessExecutionTest methodsFor: 'other' stamp: 'BrunoBB 11/19/2015 12:00'!
createFormInstance: xmlMethodName definitionNamed: definitionName app: app
	| application definition |

	application := OrbeonApplication applicationNamed: app.
	definition := application definitionNamed: definitionName.

	^(OrbeonFormInstance app: app form: definitionName id: UUID new asString)
			definition: definition;
			xmlString: (OrbeonFormTemplate perform: xmlMethodName);
			processXML;
			yourself! !

!BpmProcessExecutionTest methodsFor: 'Accessing' stamp: 'BrunoBB 11/17/2015 11:34'!
procInstance
	^procInstance! !

!BpmProcessExecutionTest methodsFor: 'Updating' stamp: 'BrunoBB 11/17/2015 11:34'!
procInstance: newValue
	procInstance := newValue! !

BpmProcessExecutionTest subclass: #SmaltalksRegistrationExecutionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMRuntime_Tests'!

!SmaltalksRegistrationExecutionTest methodsFor: 'other' stamp: 'BrunoBB 11/18/2015 11:50'!
formInstance_acceptRegistration

^'<?xml version="1.0" encoding="UTF-8"?>
<form>
	<internal-section>
		<s>zqCkOj4xljH-wvjb</s>
		<k>uHdwgKtkLrYWz0q5</k>
		<uuid>fe74dbd1-988e-4904-a3a3-232101de6fa9</uuid>
		<oop>20146017025</oop>
		<assignmentOop>20139675393</assignmentOop>
	</internal-section>
	<section-11>
		<username>alberto</username>
		<rol>[receptor-permiso][test-expert][organizer][analyser]</rol>
		<formId>45e1f620-c9b8-449b-9d0f-964ac014ad38</formId>
	</section-11>
	<section-12>
		<congra/>
		<email>juan@ruiz.com</email>
	</section-12>
</form>'! !

!SmaltalksRegistrationExecutionTest methodsFor: 'other' stamp: 'BrunoBB 11/18/2015 11:41'!
formInstance_analyzeData1

^'<?xml version="1.0" encoding="UTF-8"?>
<form>
	<internal-section>
		<s>zqCkOj4xljH-wvjb</s>
		<k>_KozqKsBAZNMmDDj</k>
		<uuid>6f514922-fc69-4119-9e4d-81880f0ff171</uuid>
		<oop>20138473985</oop>
		<assignmentOop>20139675393</assignmentOop>
	</internal-section>
	<section-11>
		<username>alberto</username>
		<rol>[receptor-permiso][test-expert][organizer][analyser]</rol>
		<formId>c9d58d9c-36ef-4451-89a0-475906fb05f6</formId>
	</section-11>
	<section-test-info>
		<analysis>&lt;div&gt;Data is OK&lt;/div&gt;</analysis>
		<acceptOrReject>accept</acceptOrReject>
		<rejectionReason/>
	</section-test-info>
</form>'! !

!SmaltalksRegistrationExecutionTest methodsFor: 'other' stamp: 'BrunoBB 11/18/2015 11:41'!
formInstance_analyzeData2

^'<?xml version="1.0" encoding="UTF-8"?>
<form>
	<internal-section>
		<s>zqCkOj4xljH-wvjb</s>
		<k>_KozqKsBAZNMmDDj</k>
		<uuid>6f514922-fc69-4119-9e4d-81880f0ff171</uuid>
		<oop>20138473985</oop>
		<assignmentOop>20139675393</assignmentOop>
	</internal-section>
	<section-11>
		<username>alberto</username>
		<rol>[receptor-permiso][test-expert][organizer][analyser]</rol>
		<formId>c9d58d9c-36ef-4451-89a0-475906fb05f6</formId>
	</section-11>
	<section-test-info>
		<analysis>&lt;div&gt;Data is OK&lt;/div&gt;</analysis>
		<acceptOrReject>reject</acceptOrReject>
		<rejectionReason/>
	</section-test-info>
</form>'! !

!SmaltalksRegistrationExecutionTest methodsFor: 'other' stamp: 'BrunoBB 11/19/2015 11:56'!
formInstance_registration

	^self createFormInstance: #form_registration definitionNamed: 'registration' app: 'st'! !

!SmaltalksRegistrationExecutionTest methodsFor: 'other' stamp: 'BrunoBB 11/18/2015 11:53'!
formInstance_securityReport

^'<?xml version="1.0" encoding="UTF-8"?>
<form>
	<internal-section>
		<s>eIKJnv2F8lrnHka8</s>
		<k>xGfVLUhKTjC6psFl</k>
		<uuid>ecd51e4c-ddf5-4021-89b4-1406c4f16cd1</uuid>
		<oop>19846460417</oop>
		<assignmentOop>19852890625</assignmentOop>
	</internal-section>
	<section-11>
		<username>fabricio</username>
		<rol>[architect][attendee][security]</rol>
		<formId>a5c5cf48-ded0-4ae5-adfb-5e6c7e9fab39</formId>
	</section-11>
	<section-12>
		<issueName>Server on black list</issueName>
		<issueDetails>&lt;div&gt;Server on black list&lt;/div&gt;</issueDetails>
	</section-12>
</form>'! !

!SmaltalksRegistrationExecutionTest methodsFor: 'other' stamp: 'BrunoBB 11/17/2015 12:00'!
setUp
	| procDefinition |

	procDefinition := BpmProcessDefinition getProcessesNamed: 'registration' in: 'st'.

	procInstance := procDefinition createProcessInstance: (BpmUser getUserNamed: 'alberto').

	procDefinition addProcessInstance: procInstance.! !

!SmaltalksRegistrationExecutionTest methodsFor: 'other' stamp: 'BrunoBB 11/17/2015 12:01'!
tearDown

	procInstance definition removeProcessInstance: procInstance! !
